| 0.9.7

- Main Page
- Modules
- Files

Functions
GLM_GTX_common
GTX Extensions (Experimental)

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fmod (vecType< T, P > const &v)
template<typename genType >
GLM_FUNC_DECL genType::bool_type | isdenormal (genType const &x)

## Detailed Description

Provide functions to increase the compatibility with Cg and HLSL languages.

<glm/gtx/common.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL vecType<T, P> glm::fmod | ( | vecType< T, P > const & | v | ) |

Similar to 'mod' but with a different rounding and integer support.

Returns 'x - y * trunc(x/y)' instead of 'x - y * floor(x/y)'

See also
  GLSL mod vs HLSL fmod
  GLSL mod man page

GLM_FUNC_DECL genType::bool_type glm::isdenormal | ( | genType const & | x | ) |

Returns true if x is a denormalized number Numbers whose absolute value is too small to be represented in the normal format are represented in an alternate, denormalized format.

This format is less precise but can represent values closer to zero.

Template Parameters

  genType | Floating-point scalar or vector types.

See also
  GLSL isnan man page
  GLSL 4.20.8 specification, section 8.3 Common Functions